# Используем официальный образ Go в качестве базового
FROM golang:1.23

# Устанавливаем рабочую директорию
WORKDIR /app

# Копируем файлы модуля
COPY . .

# Сборка модуля
RUN go build -o /bin/FirstService

# Запуск модуля
CMD ["/bin/FirstService"]